/*

(c):		Charles Stark Draper Laboratory 1991,
			555 Technology Square MS7C,
			Cambridge Mass, 02139
Project:	djf4191
File:		FAKELV1.H
Tabs:		4
Start_Date:	03-02-93
Date:		04-26-93 renamed to FAKELV1.H, formely EXTCODE.H
Programmers: 
			 Avram Tetewsky 
DocFiles:	
Purpose: 

		
*/

/* in compatib.h, assume ints are 32 bit long library */
typedef char               int8;
typedef short             int16;
typedef int               int32;
typedef unsigned char     uInt8;
typedef unsigned short   uInt16;
typedef unsigned int     uInt32;

typedef float          float32;
typedef double         float64; 
typedef double         floatExt;

typedef struct {
  float32 re,im;
  } cmplx64;
typedef struct {
  float64 re,im;
  } cmplx128;
typedef struct {
  floatExt re,im;
  } cmplxExt;

typedef uInt8          uChar;





#if(0)
/* get invalid redeclarations */
typedef uChar          *Cstr;
typedef uChar          *Ptr;
typedef uChar          **Handle;
#endif

typedef uInt16          LVBoolean;


/* in Manager.h */
typedef        int32     RsrcFile;
typedef        int32     MgErr;  


#define noErr          0
#define mFullErr       1
#define bogusError     42
#define cancelError    43 

#define FALSE          0
#define TRUE           1

/* in PUBINC.H 16 bit variables, True = 1000 0000 | 0000 0000  */
#define LVFALSE        0
#define LVTRUE         0x8000

#define CIN           

/*
  format codes to print them
  eventually put in file EXTFOR.H
  for external formats codes for printing LabView
*/

#define int16_F     "%d"
#define int32_F     "%d"
#define int8_F      "%d"
#define uInt32_F    "%u"
#define uInt16_F    "%u"
#define uint8_F     "%u"
#define LVBoolean_F "%d"
#define MgErr_F     "%d"

#define float32_F   "%e"
#define float64_F   "%e"
